Lists properties linked to a project. Currently returns at most one property.

Path Parameters
  • id
    Type: string
    required

    Project ID

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/projects/{id}/properties
curl 'https://app.propstreet.com/api/v1/projects/{id}/properties' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "string",
      "uri": null,
      "name": "string",
      "description": null,
      "location": {
        "latitude": "string",
        "longitude": "string",
        "country": null,
        "locality": null
      },
      "categories": [
        {
          "type": "string",
          "locationClass": null,
          "yieldPercent": "string",
          "rentalIncome": {
            "value": 0,
            "currency": "string",
            "scale": "string"
          },
          "rentedArea": {
            "value": "string",
            "unit": "string"
          },
          "vacantArea": {
            "value": "string",
            "unit": "string"
          },
          "conversions": [
            "string"
          ]
        }
      ],
      "price": {
        "value": 0,
        "currency": "string",
        "scale": "string"
      },
      "operatingCosts": {
        "value": 0,
        "currency": "string",
        "scale": "string"
      },
      "avgContractLengthYears": "string",
      "yearBuilt": "string",
      "parcelArea": {
        "value": "string",
        "unit": "string"
      },
      "zoning": {
        "gfa": {
          "value": "string",
          "unit": "string"
        },
        "categories": [
          "string"
        ]
      },
      "tenure": null,
      "tags": [
        "string"
      ],
      "projects": [
        {
          "id": "string",
          "uri": null,
          "name": "string"
        }
      ],
      "externalRefs": [
        {
          "namespace": "string",
          "id": "string"
        }
      ],
      "createdUtc": "2026-05-05T17:18:39.880Z",
      "updatedUtc": "2026-05-05T17:18:39.880Z",
      "deletedUtc": null,
      "etag": "string",
      "distance_meters": "string",
      "changeType": null,
      "changeOrigin": null
    }
  ],
  "page": {
    "nextCursor": null,
    "pageSize": "string",
    "hasMore": true
  }
}